Bug 47925 - [chromium] Support CoreAnimation plugin model on Mac
Summary: [chromium] Support CoreAnimation plugin model on Mac
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-19 13:23 PDT by Kenneth Russell
Modified: 2013-04-09 16:10 PDT (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Russell 2010-10-19 13:23:16 PDT
The following compositor tests which use plugins either implicitly or explicitly are failing in Chromium's DRT port. It is not clear what the disposition of these tests should be.

compositing/color-matching/pdf-image-match.html
compositing/images/direct-pdf-image.html
compositing/plugins/composited-plugin.html
Comment 1 Tony Chang 2010-10-19 13:33:09 PDT
compositing/images/direct-pdf-image.html
compositing/color-matching/pdf-image-match.html

are WONTFIX, because they're trying to load a pdf in an <img> tag which Chromium doesn't support.

compositing/plugins/composited-plugin.html is probably fixable.
Comment 2 Ilya Tikhonovsky 2010-11-24 12:09:18 PST
These two tests start crashing instead of TEXT
BUGWK47925 MAC : compositing/plugins/composited-plugin.html = CRASH
BUGWK47925 MAC : compositing/plugins/small-to-large-composited-plugin.html = CRASH


BUGWK47925 MAC : compositing/plugins/1x1-composited-plugin.html = CRASH
BUGWK47925 MAC : compositing/plugins/large-to-small-composited-plugin.html = CRASH
Comment 3 Peter Kasting 2011-11-16 13:45:56 PST
Morphing this.  Per jamesr the following four tests test the CoreAnimation plugin model:

compositing/plugins/1x1-composited-plugin.html
compositing/plugins/composited-plugin.html
compositing/plugins/large-to-small-composited-plugin.html
compositing/plugins/small-to-large-composited-plugin.html

Accordingly we don't care about ever passing these on Windows or Linux.  We may want to support this model someday on Mac so this bug is about doing that; until then these tests are being run on Mac only to check for crashes.
Comment 4 Steve Block 2011-11-17 03:14:28 PST
Committed r100593: <http://trac.webkit.org/changeset/100593>
Comment 5 Kenneth Russell 2011-11-17 15:21:00 PST
To be clear, the Core Animation drawing model for NPAPI is supported in Chromium on Mac OS X and has been for many Chrome releases.

It's also almost certainly the case that it is not supported in DRT and is unlikely to ever be.
Comment 6 Peter Kasting 2011-11-17 15:36:13 PST
(In reply to comment #5)
> It's also almost certainly the case that it is not supported in DRT and is unlikely to ever be.

If that's true someone should probably make the decision to WONTFIX SKIP these tests.
Comment 7 Stephen Chenney 2013-04-09 16:10:17 PDT
LayoutTest failures for Chromium are being marked WontFix. The Bug is still accessible and referenced from TestExpectations.